html{
	scroll-behavior: smooth;
}

*{
	box-sizing: border-box;
	outline: none;
}

body{
	margin: 0;
	padding: 0;
}

.red{
	height: 100vh;
	background-color: red;
}

.blue{
	height: 100vh;
	background-color: blue;
}

.orange{
	height: 100vh;
	background-color: orange;
}

.green{
	height: 100vh;
	background-color: green;
}

a{
	text-decoration: none;
	color: #ccc;
}

button{
	height: 30px;
	width: 80px;
	text-align: center;
	background-color: #222;
	border: none;
	display: block;
}

.switchRed:hover{
	background-color: red;
}

.switchBlue:hover{
	background-color: blue;
}

.switchOrange:hover{
	background-color: orange;
}

.switchGreen:hover{
	background-color: green;
}

.nav{
	position: fixed;
	top: 50%;
	transition: box-shadow .5s .2s;
}

.nav:hover{
	box-shadow: 0px 2px 15px 5px #fff;
}

.switchRed, .switchBlue, .switchOrange, .switchGreen{
	transition-property: background-color;
	transition-duration: .5s;
	transition-delay: .2s;
}